--  *********************************************************************
--  Update Database Script
--  *********************************************************************
--  Change Log: upgrade.changelog-up-to-7.3.0.xml
--  Ran at: 02/10/2024 11:23
--  Against: root@jdbc:mariadb://mariadb/squashtest
--  Liquibase version: 4.17.2
--  *********************************************************************

--  Lock Database
UPDATE DATABASECHANGELOGLOCK SET `LOCKED` = 1, LOCKEDBY = 'runner-yfpexrfv8-project-33554404-concurrent-0-7wuk1asf (100.64.1.97)', LOCKGRANTED = NOW() WHERE ID = 1 AND `LOCKED` = 0;

--  Changeset ../tm/tm.changelog-7.3.0.xml::tm-7.3.0::pckerneis
--  Update TM database version number
UPDATE CORE_CONFIG SET VALUE = '7.3.0' WHERE STR_KEY = 'squashtest.tm.database.version';

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, `DESCRIPTION`, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('tm-7.3.0', 'pckerneis', '../tm/tm.changelog-7.3.0.xml', NOW(), 1, '8:3a5394376de4cb89158bc268bd33a7a2', 'update tableName=CORE_CONFIG', 'Update TM database version number', 'EXECUTED', NULL, NULL, '4.17.2', '7861032577');

--  Changeset ../tm/tm.changelog-7.3.0.xml::tm-7.3.0-add-REPORTING_CACHE_CREDENTIALS-column-to-STORED_CREDENTIALS::pckerneis
--  Add REPORTING_CACHE_CREDENTIALS column to STORED_CREDENTIALS
ALTER TABLE STORED_CREDENTIALS ADD REPORTING_CACHE_CREDENTIALS BIT(1) DEFAULT 0 NULL;

INSERT INTO DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, `DESCRIPTION`, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('tm-7.3.0-add-REPORTING_CACHE_CREDENTIALS-column-to-STORED_CREDENTIALS', 'pckerneis', '../tm/tm.changelog-7.3.0.xml', NOW(), 2, '8:c249c656db1c42ccf3d358a36bacbc09', 'addColumn tableName=STORED_CREDENTIALS', 'Add REPORTING_CACHE_CREDENTIALS column to STORED_CREDENTIALS', 'EXECUTED', NULL, NULL, '4.17.2', '7861032577');

--  Release Database Lock
UPDATE DATABASECHANGELOGLOCK SET `LOCKED` = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

